%global upname astropy-iers-data
%global srcname astropy_iers_data

Name: python-%{upname}
Version: 0.2024.6.17.0.31.35
Release: 1%{?dist}
Summary: IERS Earth Rotation and Leap Second tables for the astropy core package
License: BSD-3-Clause

URL: https://github.com/astropy/astropy-iers-data
Source: %{pypi_source %{srcname}}
Patch: use-stable-astropy.patch

BuildArch: noarch
BuildRequires:  python3-devel

%global _description %{expand:
This package provides IERS Earth Rotation and Leap Second tables for the
astropy.utils.iers package.

There the following IERS data products are included:

* Bulletin A (IERS_A) is updated weekly and has historical data starting from
  1973 and predictive data for 1 year into the future. It contains Earth
  orientation parameters x/y pole, UT1-UTC and their errors at daily intervals.

* Bulletin B (IERS_B) is updated monthly and has data from 1962 up to the time
  when it is generated. This file contains Earth’s orientation in the IERS
  Reference System including Universal Time, coordinates of the terrestrial
  pole, and celestial pole offsets.

The package also provides leap second data.

Note: This package is not currently meant to be used directly by users, and
only meant to be used from the core Astropy package.}
%description %_description

%package -n python3-%{upname}
Summary: %{summary}

%description -n python3-%{upname}
%_description

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -t -x test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -l astropy_iers_data

%check
%{tox}

%files -n python3-%{upname} -f %{pyproject_files}
%doc README.rst 

%changelog
* Tue Jun 18 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.6.17.0.31.35-1
- New upstream source

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2024.5.20.0.29.40-2
- Rebuilt for Python 3.13

* Fri May 24 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.5.20.0.29.40
- New upstream 0.2024.5.20.0.29.40

* Thu Jan 04 2024 Sergio Pascual <sergiopr@fedoraproject.org> - 0.2024.2.5.0.30.52
- Initial release


